Skip to main content
`Ctrl`+`K`

# TaoGetDualVariables

Gets the dual vectors

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetDualVariables(Tao tao, Vec *DE, Vec *DI)

Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameters

- DE - dual variable vector for the lower bounds

- DI - dual variable vector for the upper bounds

## See Also

TAO: Optimization Solvers, `Tao`, `TaoComputeDualVariables()`

## Level

advanced

## Location

src/tao/interface/taosolver_bounds.c

## Examples

src/tao/constrained/tutorials/ex1.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages